Skip to content
LogoLogo

Info

Informations about the node APIs

Node heartbeat

GET/health

Get node health. Returns empty result (200 OK) on success, no response - in case of an error.

Responses

Node Status

GET/status

Get Tendermint status including node info, pubkey, latest block hash, app hash, block height, current max peer height, and time.

Responses

Network information

GET/net_info

Get network info.

Responses

Get block headers (max: 20) for minHeight <= height <= maxHeight.

GET/blockchain

Get block headers for minHeight <= height maxHeight.

If maxHeight does not yet exist, blocks up to the current height will be returned. If minHeight does not exist (due to pruning), earliest existing height will be used.

At most 20 items will be returned. Block headers are returned in descending order (highest first).

Query Parameters

minHeight
integer

Minimum block height to return

Example1
maxHeight
integer

Maximum block height to return

Example2

Responses

GET/header

Retrieve the block header corresponding to a specified height.

Query Parameters

height
integer·default 0

height to return. If no height is provided, it will fetch the latest height.

Example1

Responses

Get header by hash

GET/header_by_hash

Retrieve the block header corresponding to a block hash.

Query Parameters

hashRequired
string

header hash

Example0xD70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED

Responses

Get block at a specified height

GET/block

Get Block.

Query Parameters

height
integer·default 0

height to return. If no height is provided, it will fetch the latest block.

Example1

Responses

Get block by hash

GET/block_by_hash

Get Block By Hash.

Query Parameters

hashRequired
string

block hash

Example0xD70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED

Responses

Get block results at a specified height

GET/block_results

Get block_results.

Query Parameters

height
integer·default 0

height to return. If no height is provided, it will fetch information regarding the latest block.

Example1

Responses

Get commit results at a specified height

GET/commit

Get Commit.

Query Parameters

height
integer·default 0

height to return. If no height is provided, it will fetch commit information regarding the latest block.

Example1

Responses

Get validator set at a specified height

GET/validators

Get Validators. Validators are sorted first by voting power (descending), then by address (ascending).

Query Parameters

height
integer·default 0

height to return. If no height is provided, it will fetch validator set which corresponds to the latest block.

Example1
page
integer·default 1

Page number (1-based)

Example1
per_page
integer·default 30

Number of entries per page (max: 100)

Example30

Responses

Get Genesis

GET/genesis

Get the genesis document.

Responses

Get Genesis in paginated chunks

GET/genesis_chunked

Get genesis document in a paginated/chunked format to make it easier to iterate through larger genesis structures.

Query Parameters

chunkID
integer·default 0

Sequence number of the chunk to download.

Example1

Responses

Get consensus state

GET/dump_consensus_state

Get consensus state.

Not safe to call from inside the ABCI application during a block execution.

Responses

Get consensus state

GET/consensus_state

Get consensus state.

Not safe to call from inside the ABCI application during a block execution.

Responses

Get consensus parameters

GET/consensus_params

Get consensus parameters.

Query Parameters

height
integer·default 0

height to return. If no height is provided, it will fetch commit information regarding the latest block.

Example1

Responses

Get the list of unconfirmed transactions

GET/unconfirmed_txs

Get list of unconfirmed transactions

Query Parameters

page
integer·default 1

Page number (1-based)

Example1
per_page
integer·default 30

Number of entries per page (max: 100)

Example100

Responses

Get data about unconfirmed transactions

GET/num_unconfirmed_txs

Get data about unconfirmed transactions

Responses

GET/tx_search

Search for transactions w/ their results.

See /subscribe for the query syntax.

Query Parameters

queryRequired
string

Query

Exampletx.height=1000
prove
boolean·default false

Include proofs of the transactions inclusion in the block

Exampletrue
page
integer·default 1

Page number (1-based)

Example1
per_page
integer·default 30

Number of entries per page (max: 100)

Example30
order_by
string·default desc

Order in which transactions are sorted ("asc" or "desc"), by height & index. If empty, default sorting will be still applied.

Exampleasc

Responses

GET/block_search

Search for blocks by BeginBlock and EndBlock events.

See /subscribe for the query syntax.

Query Parameters

queryRequired
string

Query

Exampleblock.height > 1000 AND valset.changed > 0
page
integer·default 1

Page number (1-based)

Example1
per_page
integer·default 30

Number of entries per page (max: 100)

Example30
order_by
string·default desc

Order in which blocks are sorted ("asc" or "desc"), by height. If empty, default sorting will be still applied.

Exampleasc

Responses

Get transactions by hash

GET/tx

Get a transaction

Query Parameters

hashRequired
string

transaction Hash to retrive

Example0xD70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED
prove
boolean·default false

Include proofs of the transactions inclusion in the block

Exampletrue

Responses